21 abril 2009

Drivers de ATI para Jaunty


Parece que la gente de ATI esta vez si se ha dado prisa con sus Drivers, ya que unos días antes de tener versión definitiva de Ubuntu 9.04 ya disponemos de un Driver que en principio soporta la nueva versión de nuestro Sistema Operativo.

Os comento, en softpedia comentan que los usuarios de la RC de 9.04 no tendrás que hacer nada más que ir al menú Sistema y luego Administración, pero no especifican nada más ni lo he podido probar personalmente. En cuanto puedo edito esta entrada y os comento (siempre y cuando no se rompan las X).

Este nuevo Driver presenta algunas novedades con respecto al anterior:
  • Solucionado problema con el renderizado indirecto en Suse 10.1.
  • Ahora cunado los programas en 3D se están ejecutando los errores no son reportados en dmesg.
  • Solucionados varios problemas de reproducción de video que causaban bloqueos.
  • Reparados algunos fallos en cuadros de dialogo de advertencia en el centro de control de Catalyst.
  • Mejorado con control de los valores gamma en el centro de control.
  • La pestaña para el soporte de HDTV en el centro de control ahora muestra correctamente los formatos.
Lo malo según he leído en algún foro es que no presenta una gran mejora en cuanto a rendimiento, nos tendremos que "conformar" con que funcione.

Edito: Bueno, acabo de probar la instalación de los drivers 9.4 de Ati en la RC de Ubuntu 9.04 en mi Samsung R60 y la cosa no ha ido bien, me quedé sin poder acceder a las X, finalmente recuperé el modo gráfico pero perdí la poca aceleración que tenía, así que compiz ahora no me funciona. Trataré de instalar de nuevo o al menos de recomponer las cosas.

¿Alguien lo ha probado ya?...


Visto en rm -rf
Fuente Original Softpedia.

17 comentarios:

  1. ¿Alguna novedad con respecto a los anteriores?

    ResponderEliminar
  2. A ver, yo flipo, porque con la RC, cuando booteo no me sale nada en la gráfica, pero nada de nada (Ati Radeon X1300) incluso hasta me sale el audio como que se ha iniciado y todo el Ubuntu.
    Actualmente tengo la 8.04 y no tengo ningún problema... no se que puede ser, ayer probé la 8.10 y me hace lo mismo, la señal del monitor viene y se va, viene y se va... pero no se ve nada de nada...

    Alguna solución?

    ResponderEliminar
  3. has probado a poner el Driver genérico...

    Poner vesa en xorg para ver si la imagen va y viene.

    ResponderEliminar
  4. Anónimo20:06

    Asegúrate de que tu gráfica no esté entre las no soportadas por esta nueva versión. Ati/Amd ha cambiado a partir de la 9.4 la política de actualizaciones de sus drivers. A partir de la 9.4 no soporta los chips r500 y r600, lo cual es la gran mayoría de sus gráficas hasta hace unos años.

    ResponderEliminar
  5. El comentario de Anonimo es muy bueno, estoy mirando lo del chip, pero no lo encuentro, si alguien sabe donde esta la famosa lista de tarjetas no soportadas se lo agradeceria muchisimo...
    No puedo poner vesa, porque cuando arranca el pc, con el cd puesto, le indico la opcion de "Probar Ubuntu sin alterar mi equipo" con lo cual el solito hace todo...
    Seguire buscando a ver si encuentro alguna solucion.

    ResponderEliminar
  6. Anónimo21:14

    Las soportadas desde el catalyst 9.4 son solo las hd2xxx hacia arriba, es decir los chips r6xx hacia arriba.

    ResponderEliminar
  7. Hola. Pasate por aqui

    https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/catalyst_94_linux.pdf

    Ahi tienes las graficas soportadas. Si tu grafica esta aqui, pues felicidades, te funcionara el driver 9.4 de ati. Si no esta pues bienvenido al club de los desdichados, como yo, pensando en cambiar de portatil y pasar de una vez de ATI a NVIDIA, con unos drivers infinitamente mejores.

    PD: el primer anonimo era yo, el segundo no se.

    ResponderEliminar
  8. Saul

    Yo tambien tuve un problema similar al tuyo con la 8.10, y tambien me funcionaba perfectamente en Ubuntu 8.04. Estuve investigando un tiempo, pero no pude dar con la solucion. Llego a arrancarme el servidor grafico, pero empezo a salir un paisaje raro en el monitor, moviendose y no llegue a saber que era.

    Prueba una cosa. Cuando tengas la pantalla en negro, ten pulsados control, alt y pulsa f1. (esto enla livecd). Te saldra una consola. escribe

    Para parar el servidor grafico.
    sudo /etc/init.d/gdm stop

    crea un nuevo archivo de configuracion de las x
    sudo X -config (no recuerdo si era -config o -configure, prueba ambos, atento a las mayusculas!!)

    copia el archivo que te da (creo que era /home/....../xorg.conf.new, a /etc/X11/xorg.conf con el comando

    cp /home/..(lo que te salga).../xorg.conf.new /etc/X11/xorg.conf

    inicia el servidor grafico
    sudo /etc/init.d/gdm start

    y curza los dedos... Si te funciona pues fenomenal. Si no pues contesta y vamos probando cosas.

    PD: Creo que en ubuntu jaunty han deshabilitado lo del control, alt f1. tendrias que habilitarlo,
    dontzap --disable

    ResponderEliminar
  9. Muy mal que a ATI no le importen los usuarios que tenemos laptops con chips antiguos, yo tengo una ATI Radeon X1200 y pues seguro que no me funciona el driver nuevo....

    Bueno no es para tanto, ya que igual no tengo ni Catalyst (o esa cosa con la que se configura) por que el driver anterior al de la noticia me dejaba la aceleracion un poco mejor, pero con la pantalla "partida todo estaba desplazado como 1/4 a la derecha ya no pude tomar ningun screen pero por eso uso el que instala 8.04, por el driver jeje

    Haber que pasa despues...

    Mal por ATI

    ResponderEliminar
  10. Tengo un HP Pavilion DV7 con una HD3450.

    Instalé la 9.04RC, la actualicé y después instalé el Catalyst 9.4.

    Pues bien, detectó que tenia dos pantallas (la del portàti y un monitor externo ACER H223HQ) y las puso en modo clon.

    Cuando abrí el CCC para dejarlo igual a como lo tenia en Intrepid, me llevé una sorpresa al ver que no identificaba los monitores y no pude hacer nada, ni cambiar la resolución, ni apagar la pantalla del portàtil... muy mal.

    Ahora estoy con el driver opensource, que funciona muy bien pero sólo tengo un problema: no puedo apagar la pantalla del portàtil. Eso sí, por lo menos el monitor Acer, que es el que uso habitualmente, lo tengo configurado en FullHD, su resolución nativa.

    ResponderEliminar
  11. Eastir; muchas gracias, la ayuda fue buenísima, pero no funciono, te cuento:
    El comando es -configure y lo hace perfecto, pero cuando lo arranca, hace exactamente lo mismo.
    Le hice un vi al archivo xorg.conf.new y vi que al final, me detectaba la placa y que ponia todo, Vendor="Ati", model= "X Radeon 1300", quizás por eso hace lo mismo, porque en el configure me detecta la placa, pero aun asi no arranca.
    Quizas deberia probar de editarlo y ponerle un xorg.conf sencillito, o con el driver de vesa para que se vea y nada mas...
    He probado mas cosas pero sin resultados, si se te ocurre algo te lo agradeceria muchisimo.

    ResponderEliminar
  12. recién probé Ubuntu jaunty x64 con los nuevos drivers ATi 9.4 y realmente es lamentable. Compiz funciona bien, pero el equipo se vuelve inestable. A veces la carga del sistema se me va por las nubes y luego de un minuto se reestablece, pero mientras tanto la máquina se vuelve inutilizable. Lo probé en dos equipos con el mismo chip HD3200 (que trae la notebook HP6735s). Probé el mismo driver en opensuse 11.1 y funciona mucho mejor. Lástima que me gusta mucho mas Ubuntu que opensuse.

    ResponderEliminar
  13. Vaya, después de meses peleando con el intrepid y los drivers, ahora he instalado jaunty y los drivers 9.4... y resulta que no soporta mi ati radeonx1300

    Me ha petado todo el sistema grafico, he reiniciado, instalado los 9.3, los 9.4, los genéricos... resultado: un desastre, se han quedado instalaciones a medias y ahora el compiz funciona pero no me detecta què grafica tengo. Ni siquiera sé què drivers hay instalados...

    En fin, que tocara hacer instalacion limpia (formatear y pasar a ext4)

    Alguien sabe què drivers hay que instalar ahora, si los 9.3 no detectan la version del x.org, y la 9.4 ya no detecta mi targeta? Y con los libres... bueno... el emulador epsxe no tira :S

    Me cago en ati... xD

    ResponderEliminar
  14. Anónimo12:56

    Hola a todos,
    Aun recuerdo cuando me decidí a probar linux, concretamente Ubuntua, era la versión 7.10. Desmoralizante. Mi ATI Mobyliti Radeon x1400 no tiraba. Prové todas las posibles soluciones que leía en los foros, pero nada. No desistí y por fin con la versión 8.04 empezó la cosa a mejorar. Con Ubuntu 8.10 todo perfecto, si digo bien todo.
    Ahora me he instalado Ubuntu 9.04 en ext4 y casi todo bién. Lo de casi lo digo porque no hay forma de instalar el driver propietario. Funciona bien con el driver que instala Ubuntu, pero no tengo acceso a conectar con un segundo monitor, coasa que si podía hacer en la versión Por lo demás ha mejorado considerablemente respecto a Ubuntu 8.10.
    -------------------
    He tratado de isntalar el driver propietario de ATI (3 veces) y adios al entorno gráfico.
    -------------------
    P.D. Mi portatil: DELL Inspiron 6400, intel centrino duo, 1.83 MHz, ATI Mobyliti Radeon X1400.

    ResponderEliminar
  15. yo tengo una x1100 y me funcionaba pocamadre con efectos de escritorio y todo pero al instalar el envy ng lo arruine perdi mi configuracion y ahora ni siquiera puedo cambiar mi resolucion de pantalla alguien sabe como repararlo??

    ResponderEliminar
  16. Anónimo19:55

    Instale Ubuntu 9.04 y no hay forma de instalar el driver propietario para mi ATI Radeon X1200, que arrepentido me siento de no haber escogido un notebook con tarjeta gráfica NVIDIA....

    ResponderEliminar
  17. Anónimo07:07

    hola pues yo tengo una acer 5050 con una VGA RC480 osea la ati raedon xoress 1100 y no pude instalarle ubuntu hasta la version 9.04 y ahora q quiero instalarle el driver de video no me deja se traba en la parte del login ahora eh leido y dicen q el driver para acelerar los efectos 3d es opensource la pregunta alguien sabe donde puedo descargar el driver para mi lap y como instalarlo jejej gracias por su antencion prestada

    ResponderEliminar